Package icyllis.arc3d.granite

# Class ArcShape

java.lang.Object
icyllis.arc3d.granite.ArcShape

public class ArcShape extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `kArc_Type`
  The arc is a closed shape, paint's cap is ignored, this cap determines the shape of the arc itself.
  `static final int`
  `kArcRound_Type`
  The arc is a closed shape, paint's cap is ignored, this cap determines the shape of the arc itself.
  `static final int`
  `kArcSquare_Type`
  The arc is a closed shape, paint's cap is ignored, this cap determines the shape of the arc itself.
  `static final int`
  `kChord_Type`
  The arc is a closed shape, paint's cap is ignored, this cap determines the shape of the arc itself.
  `static final int`
  `kPie_Type`
  The arc is a closed shape, paint's cap is ignored, this cap determines the shape of the arc itself.
  `static final int`
  `kTypeCount`
  `float`
  `mCenterX`
  `float`
  `mCenterY`
  `float`
  `mHalfWidth`
  Valid only for open arc.
  `float`
  `mRadius`
  `float`
  `mStartAngle`
  `float`
  `mSweepAngle`
  `int`
  `mType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArcShape()`
  `ArcShape(float centerX, float centerY, float radius, float startAngle, float sweepAngle, float halfWidth)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `getBounds(Rect2f dest)`
  `static boolean`
  `isOpenArc(int type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### kArc_Type

    public static final int kArc_Type
    The arc is a closed shape, paint's cap is ignored, this cap determines the shape of the arc itself. Butt -> Ring, Round -> Arc, Square -> Horseshoe.
    See Also:
      - Constant Field Values

  - ### kArcRound_Type

    public static final int kArcRound_Type
    The arc is a closed shape, paint's cap is ignored, this cap determines the shape of the arc itself. Butt -> Ring, Round -> Arc, Square -> Horseshoe.
    See Also:
      - Constant Field Values

  - ### kArcSquare_Type

    public static final int kArcSquare_Type
    The arc is a closed shape, paint's cap is ignored, this cap determines the shape of the arc itself. Butt -> Ring, Round -> Arc, Square -> Horseshoe.
    See Also:
      - Constant Field Values

  - ### kPie_Type

    public static final int kPie_Type
    The arc is a closed shape, paint's cap is ignored, this cap determines the shape of the arc itself. Butt -> Ring, Round -> Arc, Square -> Horseshoe.
    See Also:
      - Constant Field Values

  - ### kChord_Type

    public static final int kChord_Type
    The arc is a closed shape, paint's cap is ignored, this cap determines the shape of the arc itself. Butt -> Ring, Round -> Arc, Square -> Horseshoe.
    See Also:
      - Constant Field Values

  - ### kTypeCount

    public static final int kTypeCount
    See Also:
      - Constant Field Values

  - ### mCenterX

    public float mCenterX

  - ### mCenterY

    public float mCenterY

  - ### mRadius

    public float mRadius

  - ### mStartAngle

    public float mStartAngle

  - ### mSweepAngle

    public float mSweepAngle

  - ### mHalfWidth

    public float mHalfWidth
    Valid only for open arc.

  - ### mType

    public int mType

- ## Constructor Details

  - ### ArcShape

    public ArcShape()

  - ### ArcShape

    public ArcShape(float centerX, float centerY, float radius, float startAngle, float sweepAngle, float halfWidth)

- ## Method Details

  - ### isOpenArc

    public static boolean isOpenArc(int type)

  - ### getBounds

    public void getBounds(Rect2f dest)